Skip to main content
POST
/
projects
/
{projectId}
/
whatsapp-business
/
accounts
/
{accountId}
/
templates
/
Create a WhatsApp Business message template
curl --request POST \
  --url https://spectrum.photon.codes/projects/{projectId}/whatsapp-business/accounts/{accountId}/templates/ \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "language": "<string>",
  "components": [
    {
      "type": "<string>"
    }
  ],
  "allowCategoryChange": true
}
'
import requests

url = "https://spectrum.photon.codes/projects/{projectId}/whatsapp-business/accounts/{accountId}/templates/"

payload = {
"name": "<string>",
"language": "<string>",
"components": [{ "type": "<string>" }],
"allowCategoryChange": True
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
language: '<string>',
components: [{type: '<string>'}],
allowCategoryChange: true
})
};

fetch('https://spectrum.photon.codes/projects/{projectId}/whatsapp-business/accounts/{accountId}/templates/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "succeed": true,
  "data": {
    "id": "<string>"
  }
}

Path Parameters

accountId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
projectId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Body

name
string
required
Required string length: 1 - 512
language
string
required
Required string length: 2 - 20
category
enum<string>
required
Available options:
MARKETING,
UTILITY,
AUTHENTICATION
components
object[]
required
Minimum array length: 1
parameterFormat
enum<string>
Available options:
POSITIONAL,
NAMED
allowCategoryChange
boolean
{key}
any

Response

200 - application/json

Response for status 200

succeed
boolean
required
data
object
required